6 Replies Latest reply on Dec 18, 2015 10:55 AM by Tim Szekely

    Compatibility with ArcGIS 10.3.1

    Jon Hradsky

      I'm trying to install Wavepoint on a new server, but to do that, I need to install ArcGIS for Server, ArcGIS Web Adaptor, ArcGIS Desktop, ArcFM Desktop, and ArcFM Server. I was told by a Schneider representative that the latest version of ArcFM Server is compatible with ArcGIS for Server 10.3.1, so I downloaded the install package for that version of ArcGIS for Server. However, in order to install ArcGIS for Server 10.3.1, I need to upgrade ArcGIS Desktop to the same version. Is the most current version of ArcFM Desktop compatible with ArcGIS Desktop 10.3.1? I searched through previous discussions, and the most current post on this matter was from June 2015, and it said that only 10.2.1 and below were supported. I have 10.2.2 installed on a different machine that works with the latest version of ArcFM Desktop, so I know that 10.2.1 isn't at the time the most current version, but I'd like to know if I can install ArcGIS Desktop 10.3.1 and have it work with the latest version of ArcFM Desktop.

        • Re: Compatibility with ArcGIS 10.3.1
          Juul Dijkstra

          Hi Jon,

           

          Currently ArcGIS Desktop 10.2.1. is still the only supported (and certified) version with ArcFM Desktop 10.2.1a / 10.2.1b.

          • ArcFM Server 10.2.1a > ArcGIS Server 10.2.1, 10.2.2
          • ArcFM Server 10.2.1b > ArcGIS Server 10.2.1, 10.2.2, 10.3, 10.3.1.

           

          To answer your question, ArcGIS Desktop 10.2.1 and ArcGIS Server 10.3.1 on the same machine is not recommended. As such, I would separate your implementation in two+ machines:

          1. ArcGIS Desktop 10.2.1 / ArcFM Desktop 10.2.1b / Object Reader 10.2.1b (32bit)
          2. ArcGIS Server 10.3.1 / ArcFM Server 10.2.1b / ArcGIS Web Adapter / Object Reader 10.2.1b (64bit)

           

          There is also the option to install ArcGIS Desktop 10.3.1 and ArcGIS Server 10.3.1 with Object Reader 10.2.1b (32 and 64bit) / ArcFM Server 10.2.1b all on the same machine.

           

          Hope this helps!

           

          - Juul

            • Re: Compatibility with ArcGIS 10.3.1
              Jon Hradsky

              Hi Juul,

               

              This does help. For deployment of Wavepoint, is there a “best” setup, in your opinion? I have the options of

               

               

              1.       Installing ArcGIS Desktop/Server/Web Adaptor 10.2.1 (or 10.2.2) and ArcFM Desktop/Server and Wavepoint on the same machine

               

              2.       Separating the implementation in two machines, with ArcGIS/FM Desktop 10.2.1 and Object Reader on one machine and ArcGIS/FM Server 10.3.1 and Wavepoint and Web Adaptor on the second machine

               

              3.       Installing ArcGIS Desktop/Server 10.3.1 and Object Reader and ArcFM Server 10.2.1b all on the same machine

               

              These are all viable options for me, but without knowing the pros/cons of each setup, I was hoping you could recommend the best option for deployment at the current time and that will also continue to make updating our setup easy in the future.

                • Re: Compatibility with ArcGIS 10.3.1
                  Juul Dijkstra

                  Hi Jon,

                   

                  In regards to Wavepoint explicitly, Tim Szekely is right person to ask for the pros/cons of each setup.

                   

                  - Juul

                  • Re: Compatibility with ArcGIS 10.3.1
                    Tim Szekely

                    Hello Jon,

                     

                    Hopefully the messages I sent you directly will answer your questions, I'm going to reiterate the information here so that others may benefit from your questions.

                     

                    First, Wavepoint will only be fully functional with ArcFM Server 10.1.1, 10.2, or 10.2.1.  Later releases will break any references to circuits in Wavepoint (otherwise the maps will still draw, the non-circuit traces will still work, and most tabs will display), due to the change of the Fiber Manager circuit model in 10.2.1a/b to accommodate WDM and multiple circuits per port or fiber. 

                     

                    Second, Object Reader isn't required for Wavepoint, just ArcFM Server.

                     

                    Third, options 1 or 2 are both good, a third option is to install Wavepoint on it's own server.  This is usually desirable if you will be making the Wavepoint services available outside of your organization's firewall.  However it sounds like this isn't your immediate plan, so either of the first two options will work.

                     

                    Typically, our clients have the Desktop products installed on workstations or a separate Citrix server, but there isn't any reason you can't run Desktop on the same machine as the ArcGIS/ArcFM Server and Wavepoint, that will work just fine too. 

                     

                    Tim